Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6443 - kernel build error on kernel-2.2.12-20 rebuild as normal user
Summary: kernel build error on kernel-2.2.12-20 rebuild as normal user
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-28 04:14 UTC by carenas
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-04 22:26:24 UTC


Attachments (Terms of Use)

Description carenas 1999-10-28 04:14:58 UTC
on kernel-2.2.12-20's SPEC there is a bug on %build where
BuildPCMCIA would be called twice when there is an i386
Build, resulting on an error on a build of the spec as a
normal user, because of an attempt to overwrite a read only
file.

actually, the first files build for BuildPCMCIA are tagged
as BOOT and then overwriten for the final ones (if building
the spec as root).

as can be seen on the following extract of the kernel spec,
when arch = i386, the BuildPCMCIA instruction is called
twice,

...
#BOOT kernel
BuildKernel BOOT
%ifarch i386
BuildPCMCIA BOOT
%endif
SaveHeaders BOOT
...

#NORMAL KERNEL
BuildKernel
%ifarch i386 i586 i686
BuildiBCS no
BuildPCMCIA
%endif
....

actually the first call of BuildPCMCIA has no sense.., since
there isn't a corresponding -pcmcia package for boot
subpackage, so this could be commented, keeping like this

#BOOT kernel
BuildKernel BOOT
SaveHeaders BOOT
...

Comment 1 Bill Nottingham 1999-11-04 23:33:59 UTC
The call for building it in the BOOT section is for
building the modules, which are used in the -BOOT kernel.

Comment 2 Cristian Gafton 2000-01-04 22:26:59 UTC
Assigned to dledford

Comment 3 Ben LaHaise 2002-06-03 21:54:43 UTC
I believe this bug to be fixed in the 2.4 kernel rpm of current releases. 
Please reopen if it is still a problem in 7.3.


Note You need to log in before you can comment on or make changes to this bug.